org.bouncycastle.asn1.x509.qualified

## Class QCStatement

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.qualified.QCStatement

All Implemented Interfaces:
  DEREncodable, ETSIQCObjectIdentifiers, RFC3739QCObjectIdentifiers

    public class QCStatement
    extends ASN1Encodable
    implements ETSIQCObjectIdentifiers, RFC3739QCObjectIdentifiers

The QCStatement object.

     QCStatement ::= SEQUENCE {
       statementId        OBJECT IDENTIFIER,
       statementInfo      ANY DEFINED BY statementId OPTIONAL}

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.x509.qualified.ETSIQCObjectIdentifiers

`id_etsi_qcs, id_etsi_qcs_LimiteValue, id_etsi_qcs_QcCompliance, id_etsi_qcs_QcSSCD, id_etsi_qcs_RetentionPeriod`

### Fields inherited from interface org.bouncycastle.asn1.x509.qualified.RFC3739QCObjectIdentifiers

`id_qcs, id_qcs_pkixQCSyntax_v1, id_qcs_pkixQCSyntax_v2`

### Constructor Summary

Constructors
Constructor and Description
`QCStatement(ASN1Sequence seq)`
`QCStatement(DERObjectIdentifier qcStatementId)`
`QCStatement(DERObjectIdentifier qcStatementId, ASN1Encodable qcStatementInfo)`

### Method Summary

Methods
`static QCStatement` `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` `getStatementId()`
`ASN1Encodable` `getStatementInfo()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QCStatement

    public QCStatement(ASN1Sequence seq)

#### QCStatement

    public QCStatement(DERObjectIdentifier qcStatementId)

#### QCStatement

    public QCStatement(DERObjectIdentifier qcStatementId,
               ASN1Encodable qcStatementInfo)

### Method Detail

#### getInstance

    public static QCStatement getInstance(java.lang.Object obj)

#### getStatementId

    public DERObjectIdentifier getStatementId()

#### getStatementInfo

    public ASN1Encodable getStatementInfo()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`